# mavonEditor

> 基于Vue的markdown编辑器

## Use Setup (开始)

### Install auto-textarea (安装)

```
$ npm install mavon-editor --save
```

### package.json

```
"mavon-editor": "^1.3.2"
```

### Use (如何引入)

```
    // 方法一
    // import with ES6
    import Vue from 'vue'
    import mavonEditor from 'mavon-editor'

    // require with Webpack/Node.js
    var Vue = require('vue')
    var mavonEditor = require('mavon-editor')

    // use
    Vue.use(mavonEditor)
```

```
    // 方法二
    // or use with component(ES6)
    import { mavonEditor } from 'mavon-editor'

    export default {
      components: {
        mavonEditor
      }
    }
```
### html
``` html
    <!-- 使用双向绑定修饰符 -->
    <mavonEditor v-model="value"/>
```

``` html
    <!-- 当value发生改变 , 出发onchange事件 参数为(value , $event) -->
    <mavonEditor :value="value" :onchange="function"/>
```
## API

### props

| name 名称   | type 类型    |  default 默认值 | des 描述 |
| -------- | :---------: | :------------: | ------- |
| value      | String      |               | 初始值 |
| scrollStyle| Boolean     |   true       | 滚动条样式(暂时仅支持chrome) |
| subfield   | Boolean     |   true        | 默认开启双栏编辑 |
| toolbars   | Object      |     | 工具栏 |
| onchange   | Function    | params : (value , render) | 编辑区发生变化的回调事件(render: value 经过markdown解析后的结果) |
| onsave     | Function     | params : (value , render)   | ctrl + s 的回调事件(后续添加保存按键,同样触发该回调) |
| onfullscreen | Function     | params : (boolean , value) | 切换全屏编辑的回调事件(boolean: 全屏开启状态) |
| onreadmodel | Function     |  params : (boolean , value)      | 切换沉浸式阅读的回调事件(boolean: 阅读开启状态) |
| onsubfield  | Function     |    params : (boolean , value)      | 切换单双栏编辑的回调事件(boolean: 双栏开启状态) |
| onhtmlcode | Function     | params : (boolean , value)  | 查看html源码的回调事件(boolean: 源码开启状态) |
| onhelp     | Function     | params : (boolean , value)   | 查看帮助的回调事件(boolean: 帮助开启状态) |

### events


## Dependencies (依赖)

- [markdown-it](https://github.com/markdown-it/markdown-it)

- [auto-textarea](https://github.com/hinesboy/auto-textarea)

- [stylus](https://github.com/stylus/stylus)

## follow-up (后续)

- 撤销键、清空键、保存按钮
- 支持开启标题导航
- 滚动条样式的浏览器兼容性
- 自定义工具栏功能键
- 提高移动端样式适配性
- markdown样式自定义
- 重构

## Licence (证书)

autoTextarea is open source and released under the MIT Licence.

Copyright (c) 2017 hinesboy

